Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class MeetingRequest

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.mail.Message
              portlets.compoze.groupware.mail.MeetingRequest

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CounteredMeetingInvitation, DelegatedMeetingInvitation, InvitationInfoRequest, MeetingCancellation, MeetingResponse

public class MeetingRequest
extends Message
implements java.io.Serializable

This class represents a meeting request.

See Also:
  Serialized Form

Constructor Summary
`MeetingRequest(java.lang.String sID)` Constructor

Method Summary
`java.lang.String` | `getComments()` Gets the comments of the meeting.
`java.util.Date` | `getEndTime()` Gets the end time of the meeting.
`java.lang.String` | `getLocation()` Gets the location of the meeting.
`java.lang.String` | `getOrganizer()` Gets the organizer of the meeting.
`java.util.Date` | `getStartTime()` Gets the start time of the meeting.
`java.lang.String[]` | `getWhenArgs(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the i18n resource args for when the appointment occurs.
`java.lang.String` | `getWhenKey()` Gets the i18n key for when the appointment occurs.
`boolean` | `isAcceptAvailable()` Gets true if accepting of this meeting is available or false otherwise.
`boolean` | `isAllDayEvent()` Gets true if meeting is an all day event or false otherwise.
`boolean` | `isCounterPrevented()` Gets true if proposing a new time on this meeting (countering) is prevented or false otherwise.
`boolean` | `isDelegatePrevented()` Gets true if delegation of this meeting is prevented or false otherwise.
`boolean` | `isOrganizer()` Gets true if this user is the organizer for this meeting or false otherwise.
`boolean` | `isRepeating()` Gets true if the meeting is repeats or false otherwise.
`void` | `setComments(java.lang.String sComments)` Sets the comments of the meeting.
`void` | `setEndTime(java.util.Date endTime)` Sets the end time of the meeting.
`void` | `setIsAcceptAvailable(boolean bIsAcceptAvailable)` Sets true if accepting of this meeting is available or false otherwise.
`void` | `setIsAllDayEvent(boolean bIsAllDayEvent)` Sets true if meeting is an all day event or false otherwise.
`void` | `setIsCounterPrevented(boolean bIsCounterPrevented)` Gets true if proposing a new time on this meeting (countering) is prevented or false otherwise.
`void` | `setIsDelegatePrevented(boolean bIsDelegatePrevented)` Sets true if delegation of this meeting is prevented or false otherwise.
`void` | `setIsOrganizer(boolean bIsOrganizer)` Sets true if this user is the organizer for this meeting or false otherwise.
`void` | `setIsRepeating(boolean bIsRepeating)` Sets the repeat flag of the meeting.
`void` | `setLocation(java.lang.String sLocation)` Sets the location of the meeting.
`void` | `setOrganizer(java.lang.String sOrganizer)` Sets the organizer of the meeting.
`void` | `setStartTime(java.util.Date startTime)` Sets the start time of the meeting.

Methods inherited from class portlets.compoze.groupware.mail.Message
`getEmbeddedMessageIndex, getFlag, getFolderID, getFolderName, getParentMessageID, getRecipientInfo, getSenderInfo, getSensitivity, getTimeReceived, getToRecipientsDisplay, isEmbedded, isPreventForward, isRead, isReplySentFlag, setEmbeddedMessageIndex, setFlag, setFolderID, setFolderName, setIsEmbedded, setIsPreventForward, setIsRead, setIsReplySentFlag, setParentMessageID, setRecipientInfo, setSenderInfo, setSensitivity, setTimeReceived, setToRecipientsDisplay`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeetingRequest

    public MeetingRequest(java.lang.String sID)

  Constructor

Parameters:
  `sID` - the ID

Method Detail

### getStartTime

    public java.util.Date getStartTime()

  Gets the start time of the meeting.

  Returns:
    the start time or `null` for none

### setStartTime

    public void setStartTime(java.util.Date startTime)

  Sets the start time of the meeting.

  Parameters:
    `startTime` - the start time of the meeting

### getEndTime

    public java.util.Date getEndTime()

  Gets the end time of the meeting.

  Returns:
    the end time or `null` for none

### setEndTime

    public void setEndTime(java.util.Date endTime)

  Sets the end time of the meeting.

  Parameters:
    `endTime` - the end time

### getLocation

    public java.lang.String getLocation()

  Gets the location of the meeting.

  Returns:
    the location or `null` for none

### setLocation

    public void setLocation(java.lang.String sLocation)

  Sets the location of the meeting.

  Parameters:
    `sLocation` - the location

### isRepeating

    public boolean isRepeating()

  Gets true if the meeting is repeats or false otherwise.

  Returns:
    `true` if meeting is repeating or `false` otherwise

### setIsRepeating

    public void setIsRepeating(boolean bIsRepeating)

  Sets the repeat flag of the meeting.

  Parameters:
    `bIsRepeating` - `true` if meeting is repeating or `false` otherwise

### isAllDayEvent

    public boolean isAllDayEvent()

  Gets true if meeting is an all day event or false otherwise.

  Returns:
    `true` if meeting is an all day event or `false` otherwise

### setIsAllDayEvent

    public void setIsAllDayEvent(boolean bIsAllDayEvent)

  Sets true if meeting is an all day event or false otherwise.

  Parameters:
    `bIsAllDayEvent` - `true` if meeting is an all day event or `false` otherwise

### getWhenKey

    public java.lang.String getWhenKey()

  Gets the i18n key for when the appointment occurs.

  Returns:
    the i18n resource key
  See Also:
    `#getWhenArgs()`

### getWhenArgs

    public java.lang.String[] getWhenArgs(java.util.Locale locale,
                                          java.util.TimeZone timeZone)

  Gets the i18n resource args for when the appointment occurs.

  Parameters:
    `locale` - the locale
    `timeZone` - the time zone
  Returns:
    an array of args

### isCounterPrevented

    public boolean isCounterPrevented()

  Gets true if proposing a new time on this meeting (countering) is prevented or false otherwise.

  Returns:
    `true` if countering is prevented on the meeting or `false` otherwise

### setIsCounterPrevented

    public void setIsCounterPrevented(boolean bIsCounterPrevented)

  Gets true if proposing a new time on this meeting (countering) is prevented or false otherwise.

  Parameters:
    `bIsCounterPrevented` - `true` if proposing a new time on this meeting (countering) is prevented or `false` otherwise

### isDelegatePrevented

    public boolean isDelegatePrevented()

  Gets true if delegation of this meeting is prevented or false otherwise.

  Returns:
    `true` if delegation of this meeting is prevented or `false` otherwise

### setIsDelegatePrevented

    public void setIsDelegatePrevented(boolean bIsDelegatePrevented)

  Sets true if delegation of this meeting is prevented or false otherwise.

  Parameters:
    `bIsDelegatePrevented` - `true` if delegation of this meeting is prevented or `false` otherwise

### isOrganizer

    public boolean isOrganizer()

  Gets true if this user is the organizer for this meeting or false otherwise.

  Returns:
    `true` if this user is the organizer for this meeting or `false` otherwise

### setIsOrganizer

    public void setIsOrganizer(boolean bIsOrganizer)

  Sets true if this user is the organizer for this meeting or false otherwise.

  Parameters:
    `bIsOrganizer` - `true` if this user is the organizer for this meeting or `false` otherwise

### isAcceptAvailable

    public boolean isAcceptAvailable()

  Gets true if accepting of this meeting is available or false otherwise.

  Returns:
    `true` if accepting of this meeting is available or `false` otherwise

### setIsAcceptAvailable

    public void setIsAcceptAvailable(boolean bIsAcceptAvailable)

  Sets true if accepting of this meeting is available or false otherwise.

  Parameters:
    `bIsAcceptAvailable` - `true` if accepting of this meeting is available or `false` otherwise

### getComments

    public java.lang.String getComments()

  Gets the comments of the meeting.

  Returns:
    the comments or `null` for none

### setComments

    public void setComments(java.lang.String sComments)

  Sets the comments of the meeting.

  Parameters:
    `sComments` - the comments

### getOrganizer

    public java.lang.String getOrganizer()

  Gets the organizer of the meeting.

  Returns:
    the organizer or `null` for none

### setOrganizer

    public void setOrganizer(java.lang.String sOrganizer)

  Sets the organizer of the meeting.

  Parameters:
    `sOrganizer` - the organizer

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.